Download it now!
Bug 114232 - function ISERROR() doesn't work
Summary: function ISERROR() doesn't work
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:6.1.0 target:6.0.0.1 target:5.4.5
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-04 08:16 UTC by raal
Modified: 2017-12-06 12:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test file (8.84 KB, application/vnd.oasis.opendocument.text)
2017-12-04 08:16 UTC, raal
Details
corrrect in OOo (33.69 KB, image/png)
2017-12-04 08:17 UTC, raal
Details
printscreen of error (43.59 KB, image/png)
2017-12-04 08:17 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2017-12-04 08:16:18 UTC
Description:
ISERROR function doesn't work. Tested version 4.1 and 6. works in open office.

Steps to Reproduce:
1.open attached file
2. run macro


Actual Results:  
error

Expected Results:
function returns result


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 raal 2017-12-04 08:16:38 UTC
Created attachment 138208 [details]
test file
Comment 2 raal 2017-12-04 08:17:12 UTC
Created attachment 138209 [details]
corrrect in OOo
Comment 3 raal 2017-12-04 08:17:38 UTC
Created attachment 138210 [details]
printscreen of error
Comment 4 Commit Notification 2017-12-05 16:29:07 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=863e269cd3d37034e634d9ad730d8e87a46ceb76

Resolves: tdf#114232 reset error after unsuccessful GetObject() query

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Eike Rathke 2017-12-05 16:34:32 UTC
Pending Jenkins for 6-0 https://gerrit.libreoffice.org/45896
Pending review for 5-4 https://gerrit.libreoffice.org/45897
Comment 6 Commit Notification 2017-12-05 20:21:04 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6900730a61de8c55af7157b072a42a7742ccddb3&h=libreoffice-6-0

Resolves: tdf#114232 call GetObject() only if IsObject()

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-12-06 11:04:26 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=86393f03702fd4c695612754fa89f80dac69eab9

VBA test - iserror function test repair, tdf#114232

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-12-06 12:51:51 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c4645d7a4505940c71b0732d9f0fc68f7e9be886&h=libreoffice-5-4

Resolves: tdf#114232 call GetObject() only if IsObject()

It will be available in 5.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.